import { readdirAsync } from "./async";
import { readdirIterator } from "./iterator";
import { readdirStream } from "./stream";
import { readdirSync } from "./sync";
/**
 * Enhanced `fs.readdir()`
 */
export declare type Readdir = typeof readdirAsync & {
    sync: typeof readdirSync;
    async: typeof readdirAsync;
    stream: typeof readdirStream;
    iterator: typeof readdirIterator;
};
declare const readdir: Readdir;
export { readdir };
export default readdir;
export * from "./types-public";
export { readdirSync } from "./sync";
export { readdirAsync } from "./async";
export { readdirIterator } from "./iterator";
export { readdirStream } from "./stream";
