import { Options, Stats } from "../types-public";
/**
 * Aynchronous `readdir()` that returns an `AsyncIterableIterator` (an object that implements
 * both the `AsyncIterable` and `AsyncIterator` interfaces) that yields path strings.
 *
 * @see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Iterators_and_Generators
 */
export declare function readdirIterator(dir: string, options?: Options & {
    stats?: false;
}): AsyncIterableIterator<string>;
/**
 * Aynchronous `readdir()` that returns an `AsyncIterableIterator` (an object that implements
 * both the `AsyncIterable` and `AsyncIterator` interfaces) that yields `Stats` objects.
 *
 * @see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Iterators_and_Generators
 */
export declare function readdirIterator(dir: string, options: Options & {
    stats: true;
}): AsyncIterableIterator<Stats>;
