/// <reference types="node" />
import { Readable } from "stream";
import { Options } from "../types-public";
/**
 * Aynchronous `readdir()` that returns a `ReadableStream` (which is also an `EventEmitter`).
 * All stream data events ("data", "file", "directory", "symlink") are passed a path string.
 */
export declare function readdirStream(dir: string, options?: Options & {
    stats?: false;
}): Readable;
/**
 * Aynchronous `readdir()` that returns a `ReadableStream` (which is also an `EventEmitter`).
 * All stream data events ("data", "file", "directory", "symlink") are passed a `Stats` object.
 */
export declare function readdirStream(dir: string, options: Options & {
    stats: true;
}): Readable;
