import { Options, Stats } from "../types-public";
/**
 * A backward-compatible drop-in replacement for Node's built-in `fs.readdirSync()` function
 * that adds support for additional features like filtering, recursion, absolute paths, etc.
 */
export declare function readdirSync(dir: string, options?: Options & {
    stats?: false;
}): string[];
/**
 * Synchronous `readdir()` that returns results as an array of `Stats` objects
 */
export declare function readdirSync(dir: string, options: Options & {
    stats: true;
}): Stats[];
